Package com.independentsoft.office.vml

# Class FillExtendedProperties

java.lang.Object
com.independentsoft.office.vml.FillExtendedProperties

All Implemented Interfaces:
  `IContentElement`, `IVmlElement`

public class FillExtendedProperties extends Object implements IVmlElement
The Class FillExtendedProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FillExtendedProperties()`
  Instantiates a new fill extended properties.
  `FillExtendedProperties​(InternalXMLStreamReader reader)`
  Instantiates a new fill extended properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FillExtendedProperties`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `FillType`
  `getType()`
  Gets the type.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setType​(FillType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FillExtendedProperties

    public FillExtendedProperties()
    Instantiates a new fill extended properties.

  - ### FillExtendedProperties

    public FillExtendedProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new fill extended properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public FillExtendedProperties clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### getType

    public FillType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(FillType type)
    Sets the type.
    Parameters:
      `type` - the new type